Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.security.servlet
Class ServletAuthenticatedUser

    java.lang.Object
      org.apache.axis.security.servlet.ServletAuthenticatedUser

All Implemented Interfaces:
  AuthenticatedUser

public class ServletAuthenticatedUser
extends java.lang.Object
implements AuthenticatedUser

ServletAuthenticatedUser is a sligtly odd implementation of AuthenticatedUser. It serves to store an HttpServletRequest, so that request can be used by the ServletSecurityProvider to check roles.

Author:
  Glen Daniels (gdaniels@apache.org)

Constructor Summary
`ServletAuthenticatedUser(javax.servlet.http.HttpServletRequest req)`

Method Summary
`java.lang.String` | `getName()` Return a string representation of the user's name.
`javax.servlet.http.HttpServletRequest` | `getRequest()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletAuthenticatedUser

    public ServletAuthenticatedUser(javax.servlet.http.HttpServletRequest req)

Method Detail

### getName

    public java.lang.String getName()

  Return a string representation of the user's name.

  Specified by:
    `getName` in interface `AuthenticatedUser`
  Returns:
    the user's name as a String.

### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.